Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 637)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 638)
@@ -679,8 +679,11 @@
 				else	{
 					f.set(this, value);
 				}
+				
 				// FIXME: debug
-				System.err.println("TXMEditor.autoUpdateEditorFieldsFromResult(): setting editor parameter " + parameter.key() + " = " + value + " (" + value.getClass() + " to object " + object.getClass() + ")");
+				if(object != null)	{
+					System.err.println("TXMEditor.autoUpdateEditorFieldsFromResult(): setting editor parameter " + parameter.key() + " = " + value + " (" + value.getClass() + " to object " + object + ")");
+				}
 				
 				// FIXME: need to extend this list of managed Widgets
 			}
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 637)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 638)
@@ -42,9 +42,7 @@
 	protected int fMin;
 	protected int fMax;
 	
-	//protected String name;
 
-
 	protected int method;
 
 	
@@ -68,7 +66,7 @@
 	
 	
 	/**
-	 * 
+	 * Creates a TextsBalance.
 	 * @param corpus
 	 */
 	public TextsBalance(Corpus corpus) {
@@ -80,14 +78,12 @@
 	
 	@Override
 	public boolean loadParameters() {
-		// TODO Auto-generated method stub
 		try {
 			StructuralUnit su = this.getCorpus().getStructuralUnit(this.getStringParameterValue(TextsBalancePreferences.STRUCTURAL_UNIT));
 			this.setParameters(su, su.getProperty(this.getStringParameterValue(TextsBalancePreferences.STRUCTURAL_UNIT_PROPERTY)));
 		}
 		catch(CqiClientException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			Log.printStackTrace(e);
 			return false;
 		}
 		return true;
@@ -343,8 +339,7 @@
 	@Override
 	public boolean canCompute() {
 		return 
-				getCorpus() != null
-				// FIXME
+				this.getCorpus() != null
 				&& this.structuralUnit != null
 				&& this.structuralUnitProperty != null
 				;
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 637)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 638)
@@ -438,38 +438,30 @@
 	@Override
 	public void updateResultFromEditor() {
 
-//		Display.getDefault().syncExec(new Runnable() {
-//			@Override
-//			public void run() {
+		queries = new ArrayList<Query>();
+		for (QueryField wid : queryWidgets) {
+			if (!wid.getQuery().isEmpty()) { //$NON-NLS-1$
+				queries.add(wid.getQuery());
+				wid.memorize();
+			}
+		}
 
-				queries = new ArrayList<Query>();
-				for (QueryField wid : queryWidgets) {
-					if (!wid.getQuery().isEmpty()) { //$NON-NLS-1$
-						queries.add(wid.getQuery());
-						wid.memorize();
-					}
-				}
+		cumulative = cumuButton.getSelection();
 
-				cumulative = cumuButton.getSelection();
-
-				String smultibande = bandeField.getText();
-				float bandeMultiplier = 1.0f;
-				if (smultibande != null && smultibande.length() > 0) {
-					try {
-						bandeMultiplier = Float.parseFloat(smultibande);
-					} catch(Exception e) {
-						bandeMultiplier = 1.0f;
-						System.out.println(ProgressionUIMessages.ProgressionDialog_17 + e);
-						StatusLine.error(ProgressionUIMessages.ProgressionDialog_17 + e);
-					}
-				}
-				else	{
-					bandeMultiplier = 1.0f;
-				}
-				//getResultData().setParameters(queries, selectedStructuralUnit, selectedStructuralUnitProperty, regexPropertyValue, cumulative, lineWidth, repeatButton.getSelection(), bandeMultiplier);
-//			}
-//		});
-
+		String smultibande = bandeField.getText();
+		float bandeMultiplier = 1.0f;
+		if (smultibande != null && smultibande.length() > 0) {
+			try {
+				bandeMultiplier = Float.parseFloat(smultibande);
+			} catch(Exception e) {
+				bandeMultiplier = 1.0f;
+				System.out.println(ProgressionUIMessages.ProgressionDialog_17 + e);
+				StatusLine.error(ProgressionUIMessages.ProgressionDialog_17 + e);
+			}
+		}
+		else	{
+			bandeMultiplier = 1.0f;
+		}
 	}
 
 }
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java	(revision 637)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java	(revision 638)
@@ -121,7 +121,7 @@
 		
 		
 		// Fill the data set from the result
-		if(result.hasParameterChanged(ProgressionPreferences.QUERIES))	{
+		if(progression.hasParameterChanged(ProgressionPreferences.QUERIES))	{
 			XYSeriesCollection dataset = (XYSeriesCollection) chart.getXYPlot().getDataset();
 			dataset.removeAllSeries();
 			
@@ -179,7 +179,12 @@
 
 		// Add the part markers
         String previousPartName = ""; //$NON-NLS-1$
-		if(progression.getStructuralUnit() != null && progression.getStructurePositions().length > 0)	{
+		if(progression.getStructuralUnit() != null && progression.getStructurePositions().length > 0 && 
+				(progression.hasParameterChanged(ProgressionPreferences.STRUCTURAL_UNIT) ||
+						progression.hasParameterChanged(ProgressionPreferences.STRUCTURAL_UNIT_PROPERTY) ||
+						progression.hasParameterChanged(ProgressionPreferences.REPEAT_SAME_VALUES) ||
+						progression.hasParameterChanged(ProgressionPreferences.PROPERTY_REGEX)
+						))	{
 			for(int i = 0; i < progression.getStructurePositions().length; i++) {
 				if(progression.getStructurePositions()[i] != 0)	{
 					
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/messages/messages.properties
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/messages/messages.properties	(revision 637)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/messages/messages.properties	(revision 638)
@@ -3,7 +3,7 @@
 ChartsEngine_PROGRESSION_TITLE_IN                    = in
 ChartsEngine_PROGRESSION_TITLE_PROGRESSION_OF        = Progression of
 ChartsEngine_PROGRESSION_TITLE_PROPERTY              = , property: 
-ChartsEngine_PROGRESSION_TITLE_REGEX                 = , REGEX: 
+ChartsEngine_PROGRESSION_TITLE_REGEX                 = , filtering REGEX: 
 ChartsEngine_PROGRESSION_TITLE_STRUCT                = structure: 
 ChartsEngine_PROGRESSION_X_AXIS_LABEL                = T = {0}
 ChartsEngine_PROGRESSION_Y_AXIS_CUMULATIVE_LABEL     = Occurrences
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/messages/messages_fr.properties	(revision 637)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/messages/messages_fr.properties	(revision 638)
@@ -3,6 +3,7 @@
 ChartsEngine_PROGRESSION_TITLE_IN                    = dans
 ChartsEngine_PROGRESSION_TITLE_PROGRESSION_OF        = Progression de
 ChartsEngine_PROGRESSION_TITLE_PROPERTY              = , propriété :  
+ChartsEngine_PROGRESSION_TITLE_REGEX                 = , filtrage REGEX: 
 ChartsEngine_PROGRESSION_TITLE_STRUCT                = structure :  
 ChartsEngine_PROGRESSION_X_AXIS_LABEL                = T = {0}
 ChartsEngine_PROGRESSION_Y_AXIS_CUMULATIVE_LABEL     = Occurrences
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 637)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 638)
@@ -320,7 +320,8 @@
 				if (m.getStart() == previousMatch.getEnd()+1) {
 					previousMatch = m;
 					continue;
-				} else {
+				}
+				else {
 					return false;
 				}
 			}
